Bug 5924 - rp3/wvdial always dials twice before connecting
rp3/wvdial always dials twice before connecting
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: wvdial (Show other bugs)
6.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael K. Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-10-13 18:18 EDT by steve
Modified: 2008-05-01 11:37 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-11-19 10:14:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description steve 1999-10-13 18:18:43 EDT
New install of rh-6.1
28.8k modem that works fine when I test
the account in debug mode, but when I run it from
the panel, it dials, connects, dials again and connects
for real the second time. debug always works, every
other time it dials twice.

Steve.

PS Heres tail of /var/log/messages:

ifup-ppp: pppd started for ppp0 on /dev/ttyS1 at 1152
modprobe: can't locate module char-major-108
kernel: CSLIP: code copyright 1989 Regents of the University
of California
kernel: PPP: version 2.3.7 (demand dialling)
kernel: PPP line discipline registered.
kernel: registered device ppp0
pppd[2660]: pppd 2.3.10 started by root, uid 0
WvDial: WvDial: Internet dialer version 1.40
WvDial: Initializing modem.
WvDial: Sending: ATZ
WvDial: ATZ
WvDial: OK
WvDial: Sending: ATQ0 V1 E1 S0=0 &C1 &D2 S11=55 +FCLA
WvDial: ATQ0 V1 E1 S0=0 &C1 &D2 S11=55 +FCLASS=0
WvDial: OK
WvDial: Modem initialized.
WvDial: Sending: ATDT 1891140140
WvDial: Waiting for carrier.
WvDial: ATDT 1891140140
WvDial: CONNECT LAPM COMPRESSED
WvDial: Carrier detected.  Waiting for prompt.
WvDial: login:
WvDial: User Access Verification
WvDial: Username:
WvDial: Looks like a login prompt.
WvDial: Sending: XXXXXXXX
WvDial: XXXXXXXX
WvDial: Password:
WvDial: Looks like a password prompt.
WvDial: Sending: (password)
WvDial: Entering PPP mode.
WvDial: Async interface address is unnumbered
(FastEthernet0)
WvDial: Your IP address is 212.17.34.XX. MTU is 1500 bytes
WvDial: Header compression will match your system.
WvDial: Looks like a welcome message.
pppd[2660]: Serial connection established.
pppd[2660]: Using interface ppp0
pppd[2660]: Connect: ppp0 <--> /dev/ttyS1
pppd[2660]: Hangup (SIGHUP)
pppd[2660]: Connection terminated.
pppd[2660]: Exit.                           <***** dies here
& redials
ifup-ppp: pppd started for ppp0 on /dev/ttyS1 at 1152 00

ifup-ppp: pppd started for ppp0 on /dev/ttyS1 at 1152 00
modprobe: can't locate module char-major-108
pppd[2678]: pppd 2.3.10 started by root, uid 0
WvDial: WvDial: Internet dialer version 1.40
WvDial: Initializing modem.
WvDial: Sending: ATZ
WvDial: ATZ
WvDial: OK
WvDial: Sending: ATQ0 V1 E1 S0=0 &C1 &D2 S11=55 +FCLA SS=0
WvDial: ATQ0 V1 E1 S0=0 &C1 &D2 S11=55 +FCLASS=0
WvDial: OK
WvDial: Modem initialized.
WvDial: Sending: ATDT 1891140140
WvDial: Waiting for carrier.
WvDial: ATDT 1891140140
WvDial: CONNECT LAPM COMPRESSED
WvDial: Carrier detected.  Waiting for prompt.
WvDial: login:
WvDial: User Access Verification
WvDial: Username:
WvDial: Looks like a login prompt.
WvDial: Sending: XXXXXXXX
WvDial: XXXXXXXX
WvDial: Password:
WvDial: Looks like a password prompt.
WvDial: Sending: (password)
WvDial: Entering PPP mode.
WvDial: Async interface address is unnumbered
(FastEthernet0)
WvDial: Your IP address is 212.17.34.XX. MTU is 1500 bytes
WvDial: Header compression will match your system.
WvDial: Looks like a welcome message.
pppd[2678]: Serial connection established.
pppd[2678]: Using interface ppp0
pppd[2678]: Connect: ppp0 <--> /dev/ttyS1
kernel: PPP BSD Compression module registered
kernel: PPP Deflate Compression module registered
pppd[2678]: local  IP address 212.17.34.XX
pppd[2678]: remote IP address 212.17.32.XX
pppd[2678]: primary   DNS address 212.17.32.3
pppd[2678]: secondary DNS address 212.17.32.1
Comment 1 Michael K. Johnson 1999-11-19 10:14:59 EST
This was fixed in our errata release of ppp-2.3.10-3

Note You need to log in before you can comment on or make changes to this bug.